Debian Bug report logs - #669536
enigma: FTBFS: configure: error: libpng is required to compile Enigma

version graph

Package: src:enigma; Maintainer for src:enigma is Erich Schubert <erich@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 19 Apr 2012 20:22:15 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version enigma/1.10~~pre-alpha+r2210-1.1

Fixed in version enigma/1.10~~pre-alpha+r2210-1.3

Done: Jonathan Wiltshire <jmw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Erich Schubert <erich@debian.org>:
Bug#669536; Package src:enigma. (Thu, 19 Apr 2012 20:22:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Erich Schubert <erich@debian.org>. (Thu, 19 Apr 2012 20:22:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: enigma: FTBFS: configure: error: libpng is required to compile Enigma
Date: Thu, 19 Apr 2012 22:07:13 +0200
Source: enigma
Version: 1.10~~pre-alpha+r2210-1.1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120419 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  debian/rules build
> test -x debian/rules
> mkdir -p "."
> if test -e /usr/share/misc/config.guess ; then \
> 		for i in ./config.guess ; do \
> 			if ! test -e $i.cdbs-orig ; then \
> 				mv $i $i.cdbs-orig ; \
> 				cp --remove-destination /usr/share/misc/config.guess $i ; \
> 			fi ; \
> 		done ; \
> 	fi
> if test -e /usr/share/misc/config.sub ; then \
> 		for i in ./config.sub ; do \
> 			if ! test -e $i.cdbs-orig ; then \
> 				mv $i $i.cdbs-orig ; \
> 				cp --remove-destination /usr/share/misc/config.sub $i ; \
> 			fi ; \
> 		done ; \
> 	fi
> touch debian/stamp-autotools-files
> chmod a+x /«BUILDDIR»/enigma-1.10~~pre-alpha+r2210/./configure
> mkdir -p .
> cd . &&   CFLAGS="-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall" CXXFLAGS="-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall" CPPFLAGS="-D_FORTIFY_SOURCE=2" LDFLAGS="-Wl,-z,relro" /«BUILDDIR»/enigma-1.10~~pre-alpha+r2210/./configure --build=x86_64-linux-gnu  --prefix=/usr --includedir="\${prefix}/include" --mandir="\${prefix}/share/man" --infodir="\${prefix}/share/info" --sysconfdir=/etc --localstatedir=/var --libexecdir="\${prefix}/lib/enigma" --srcdir=. --disable-maintainer-mode --disable-dependency-tracking --disable-silent-rules   --datadir=\${prefix}/share/games --bindir=\${prefix}/games --docdir=\${prefix}/share/doc/enigma --enable-optimize 
> checking build system type... x86_64-pc-linux-gnu
> checking host system type... x86_64-pc-linux-gnu
> checking target system type... x86_64-pc-linux-gnu
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /bin/mkdir -p
> checking for gawk... no
> checking for mawk... mawk
> checking whether make sets $(MAKE)... yes
> checking for style of include used by make... GNU
> checking for gcc... gcc
> checking whether the C compiler works... yes
> checking for C compiler default output file name... a.out
> checking for suffix of executables... 
> checking whether we are cross compiling... no
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking dependency style of gcc... none
> checking how to run the C preprocessor... gcc -E
> checking for grep that handles long lines and -e... /bin/grep
> checking for egrep... /bin/grep -E
> checking for ANSI C header files... yes
> checking for sys/types.h... yes
> checking for sys/stat.h... yes
> checking for stdlib.h... yes
> checking for string.h... yes
> checking for memory.h... yes
> checking for strings.h... yes
> checking for inttypes.h... yes
> checking for stdint.h... yes
> checking for unistd.h... yes
> checking minix/config.h usability... no
> checking minix/config.h presence... no
> checking for minix/config.h... no
> checking whether it is safe to define __EXTENSIONS__... yes
> checking whether NLS is requested... yes
> checking for msgfmt... /usr/bin/msgfmt
> checking for gmsgfmt... /usr/bin/msgfmt
> checking for xgettext... /usr/bin/xgettext
> checking for msgmerge... /usr/bin/msgmerge
> checking for ranlib... ranlib
> checking for strerror in -lcposix... no
> checking for an ANSI C-conforming const... yes
> checking for signed... yes
> checking for inline... inline
> checking for off_t... yes
> checking for size_t... yes
> checking for long long... yes
> checking for long double... yes
> checking for wchar_t... yes
> checking for wint_t... yes
> checking for inttypes.h... yes
> checking for stdint.h... yes
> checking for intmax_t... yes
> checking whether printf() supports POSIX/XSI format strings... yes
> checking for working alloca.h... yes
> checking for alloca... yes
> checking for stdlib.h... (cached) yes
> checking for unistd.h... (cached) yes
> checking for sys/param.h... yes
> checking for getpagesize... yes
> checking for working mmap... yes
> checking whether we are using the GNU C Library 2.1 or newer... yes
> checking whether integer division by zero raises SIGFPE... yes
> checking for unsigned long long... yes
> checking for inttypes.h... yes
> checking whether the inttypes.h PRIxNN macros are broken... no
> checking for stdint.h... (cached) yes
> checking for SIZE_MAX... yes
> checking for stdint.h... (cached) yes
> checking for ld used by GCC... /usr/bin/ld
> checking if the linker (/usr/bin/ld) is GNU ld... yes
> /bin/bash: ./config.rpath: No such file or directory
> checking for shared library run path origin... done
> checking for ptrdiff_t... yes
> checking argz.h usability... yes
> checking argz.h presence... yes
> checking for argz.h... yes
> checking limits.h usability... yes
> checking limits.h presence... yes
> checking for limits.h... yes
> checking locale.h usability... yes
> checking locale.h presence... yes
> checking for locale.h... yes
> checking nl_types.h usability... yes
> checking nl_types.h presence... yes
> checking for nl_types.h... yes
> checking malloc.h usability... yes
> checking malloc.h presence... yes
> checking for malloc.h... yes
> checking stddef.h usability... yes
> checking stddef.h presence... yes
> checking for stddef.h... yes
> checking for stdlib.h... (cached) yes
> checking for string.h... (cached) yes
> checking for unistd.h... (cached) yes
> checking for sys/param.h... (cached) yes
> checking for asprintf... yes
> checking for fwprintf... yes
> checking for getcwd... yes
> checking for getegid... yes
> checking for geteuid... yes
> checking for getgid... yes
> checking for getuid... yes
> checking for mempcpy... yes
> checking for munmap... yes
> checking for putenv... yes
> checking for setenv... yes
> checking for setlocale... yes
> checking for snprintf... yes
> checking for stpcpy... yes
> checking for strcasecmp... yes
> checking for strdup... yes
> checking for strtoul... yes
> checking for tsearch... yes
> checking for wcslen... yes
> checking for __argz_count... yes
> checking for __argz_stringify... yes
> checking for __argz_next... yes
> checking for __fsetlocking... yes
> checking whether _snprintf is declared... no
> checking whether _snwprintf is declared... no
> checking whether feof_unlocked is declared... yes
> checking whether fgets_unlocked is declared... yes
> checking whether getc_unlocked is declared... yes
> checking for iconv... yes
> checking for iconv declaration... 
>          extern size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
> checking for nl_langinfo and CODESET... yes
> checking for LC_MESSAGES... yes
> checking for bison... no
> checking whether NLS is requested... yes
> checking whether included gettext is requested... no
> checking for GNU gettext in libc... yes
> checking whether to use NLS... yes
> checking where the gettext function comes from... libc
> checking for gcc... (cached) gcc
> checking whether we are using the GNU C compiler... (cached) yes
> checking whether gcc accepts -g... (cached) yes
> checking for gcc option to accept ISO C89... (cached) none needed
> checking dependency style of gcc... (cached) none
> checking whether gcc and cc understand -c and -o together... yes
> checking for g++... g++
> checking whether we are using the GNU C++ compiler... yes
> checking whether g++ accepts -g... yes
> checking dependency style of g++... none
> checking how to run the C preprocessor... gcc -E
> checking for ranlib... (cached) ranlib
> checking for texi2html... /usr/bin/texi2html
> checking for pdflatex... no
> checking for convert... /usr/bin/convert
> checking dirent.h usability... yes
> checking dirent.h presence... yes
> checking for dirent.h... yes
> checking for library containing dlopen... -ldl
> checking for sdl-config... /usr/bin/sdl-config
> checking for SDL - version >= 1.2.0... yes
> checking for main in -lSDL_image... yes
> checking for IMG_Init in -lSDL_image... yes
> checking for main in -lSDL_mixer... yes
> checking for Mix_QuickLoad_RAW in -lSDL_mixer... yes
> checking for Mix_Init in -lSDL_mixer... yes
> checking for SDL_ttf >=2.0.6... found
> checking for main in -lSDL_ttf... yes
> configure: error: libpng is required to compile Enigma
> checking for png_create_write_struct in -lpng... no
> make: *** [debian/stamp-autotools] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/04/19/enigma_1.10~~pre-alpha+r2210-1.1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Erich Schubert <erich@debian.org>:
Bug#669536; Package src:enigma. (Sat, 12 May 2012 14:04:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Erich Schubert <erich@debian.org>. (Sat, 12 May 2012 14:05:01 GMT) Full text and rfc822 format available.

Message #10 received at 669536@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 669536@bugs.debian.org
Subject: enigma: diff for NMU version 1.10~~pre-alpha+r2210-1.3
Date: Sat, 12 May 2012 14:56:11 +0100
tags 669536 + patch
tags 669536 + pending
thanks

Dear maintainer,

I've prepared an NMU for enigma (versioned as 1.10~~pre-alpha+r2210-1.3) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.


diff -Nru enigma-1.10~~pre-alpha+r2210/debian/changelog enigma-1.10~~pre-alpha+r2210/debian/changelog
--- enigma-1.10~~pre-alpha+r2210/debian/changelog	2012-05-03 22:37:22.000000000 +0100
+++ enigma-1.10~~pre-alpha+r2210/debian/changelog	2012-05-12 12:22:42.000000000 +0100
@@ -1,3 +1,10 @@
+enigma (1.10~~pre-alpha+r2210-1.3) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Add build-dependency on libpng-dev (Closes: #669536)
+
+ -- Jonathan Wiltshire <jmw@debian.org>  Sat, 12 May 2012 12:03:28 +0100
+
 enigma (1.10~~pre-alpha+r2210-1.2) unstable; urgency=low
 
   * Non maintainer upload.
diff -Nru enigma-1.10~~pre-alpha+r2210/debian/control enigma-1.10~~pre-alpha+r2210/debian/control
--- enigma-1.10~~pre-alpha+r2210/debian/control	2012-04-04 18:50:35.000000000 +0100
+++ enigma-1.10~~pre-alpha+r2210/debian/control	2012-05-12 12:03:25.000000000 +0100
@@ -2,7 +2,7 @@
 Section: games
 Priority: extra
 Maintainer: Erich Schubert <erich@debian.org>
-Build-Depends: debhelper (>= 6), cdbs, bzip2, autoconf, automake1.9, texinfo, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libzipios++-dev, libsdl-gfx1.2-dev, texi2html, libsdl-ttf2.0-dev, libxerces-c-dev, quilt, libcurl4-gnutls-dev | libcurl4-nss-dev, imagemagick
+Build-Depends: debhelper (>= 6), cdbs, bzip2, autoconf, automake1.9, texinfo, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libzipios++-dev, libsdl-gfx1.2-dev, texi2html, libsdl-ttf2.0-dev, libxerces-c-dev, quilt, libcurl4-gnutls-dev | libcurl4-nss-dev, imagemagick, libpng-dev
 Standards-Version: 3.8.3.0
 
 Package: enigma




Added tag(s) patch. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sat, 12 May 2012 14:05:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sat, 12 May 2012 14:05:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#669536; Package src:enigma. (Sat, 12 May 2012 14:42:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erich Schubert <erich@debian.org>:
Extra info received and forwarded to list. (Sat, 12 May 2012 14:42:27 GMT) Full text and rfc822 format available.

Message #19 received at 669536@bugs.debian.org (full text, mbox):

From: Erich Schubert <erich@debian.org>
To: Jonathan Wiltshire <jmw@debian.org>, 669536@bugs.debian.org
Subject: Re: Bug#669536: enigma: diff for NMU version 1.10~~pre-alpha+r2210-1.3
Date: Sat, 12 May 2012 16:38:28 +0200
Hello,
> I've prepared an NMU for enigma (versioned as 1.10~~pre-alpha+r2210-1.3) and
> uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.

Thank you for the upload.
I wanted to prepare a new upstream checkout, but didn't have time to do it yet.
Feel free to upload it non-delayed, too, but 2day is also fine.

Regards,
Erich




Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Sat, 12 May 2012 16:51:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 12 May 2012 16:51:05 GMT) Full text and rfc822 format available.

Message #24 received at 669536-close@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 669536-close@bugs.debian.org
Subject: Bug#669536: fixed in enigma 1.10~~pre-alpha+r2210-1.3
Date: Sat, 12 May 2012 16:48:05 +0000
Source: enigma
Source-Version: 1.10~~pre-alpha+r2210-1.3

We believe that the bug you reported is fixed in the latest version of
enigma, which is due to be installed in the Debian FTP archive:

enigma-data_1.10~~pre-alpha+r2210-1.3_all.deb
  to main/e/enigma/enigma-data_1.10~~pre-alpha+r2210-1.3_all.deb
enigma-doc_1.10~~pre-alpha+r2210-1.3_all.deb
  to main/e/enigma/enigma-doc_1.10~~pre-alpha+r2210-1.3_all.deb
enigma_1.10~~pre-alpha+r2210-1.3.debian.tar.gz
  to main/e/enigma/enigma_1.10~~pre-alpha+r2210-1.3.debian.tar.gz
enigma_1.10~~pre-alpha+r2210-1.3.dsc
  to main/e/enigma/enigma_1.10~~pre-alpha+r2210-1.3.dsc
enigma_1.10~~pre-alpha+r2210-1.3_amd64.deb
  to main/e/enigma/enigma_1.10~~pre-alpha+r2210-1.3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669536@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Wiltshire <jmw@debian.org> (supplier of updated enigma package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 12 May 2012 12:03:28 +0100
Source: enigma
Binary: enigma enigma-doc enigma-data
Architecture: source all amd64
Version: 1.10~~pre-alpha+r2210-1.3
Distribution: unstable
Urgency: low
Maintainer: Erich Schubert <erich@debian.org>
Changed-By: Jonathan Wiltshire <jmw@debian.org>
Description: 
 enigma     - A game where you control a marble with the mouse
 enigma-data - Data file for the game enigma
 enigma-doc - Documentation for the game enigma
Closes: 669536
Changes: 
 enigma (1.10~~pre-alpha+r2210-1.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add build-dependency on libpng-dev (Closes: #669536)
Checksums-Sha1: 
 d8bb86021181484acda508e8826d6cc9f90f7c1d 2112 enigma_1.10~~pre-alpha+r2210-1.3.dsc
 52ac42cc064e04a458b50456c6bfbd81ebe65b1d 14105 enigma_1.10~~pre-alpha+r2210-1.3.debian.tar.gz
 fe4365da746adcd3d3523fb06a0f9b68c2099fc5 3369090 enigma-doc_1.10~~pre-alpha+r2210-1.3_all.deb
 13bd84ace50554bec8f826638b03d91589ee681a 19375812 enigma-data_1.10~~pre-alpha+r2210-1.3_all.deb
 45f14845878631eae4caccd0f1c0ef11a44ec06c 1068016 enigma_1.10~~pre-alpha+r2210-1.3_amd64.deb
Checksums-Sha256: 
 d435b119531fc55001abb9d77e79181321eb7d380d5bbff93c5a0554f96a1f4f 2112 enigma_1.10~~pre-alpha+r2210-1.3.dsc
 66a789e77e4cc86dacf6bbdf75b85004481d4e6b769607d5544a511e0b310adf 14105 enigma_1.10~~pre-alpha+r2210-1.3.debian.tar.gz
 b2e906541b10bf05540be455afc67f0ce98387dbb5406c827cd1f4151fa0c43e 3369090 enigma-doc_1.10~~pre-alpha+r2210-1.3_all.deb
 be573ae74da7de719387373b107c5c6a8d1db9ae38b93793df548ef81c72aa01 19375812 enigma-data_1.10~~pre-alpha+r2210-1.3_all.deb
 8b9a81f2251e408099e39759bb5c22dcda03cc5c8573793a91b59bc4d338ed79 1068016 enigma_1.10~~pre-alpha+r2210-1.3_amd64.deb
Files: 
 c4f56816e3430aee0dbb194fa4919b6d 2112 games extra enigma_1.10~~pre-alpha+r2210-1.3.dsc
 47e316061c3c36608bb5eacab6aba1ec 14105 games extra enigma_1.10~~pre-alpha+r2210-1.3.debian.tar.gz
 599923db22a285eaf779c7afbd140c5d 3369090 doc extra enigma-doc_1.10~~pre-alpha+r2210-1.3_all.deb
 d245966bea3b2f2c12ea88b2b7b01200 19375812 games extra enigma-data_1.10~~pre-alpha+r2210-1.3_all.deb
 9ce62a19e097c083888271f727c1aee1 1068016 games extra enigma_1.10~~pre-alpha+r2210-1.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJPrmiIAAoJEFOUR53TUkxRQboP/jild/Sy6ZKjYuNjCpftayEo
aMAhOtjS7dIm0mmf8rr4f4ttgJwdZAZblXKGRWOxfrJtmDlJpBXmTKbdT4/npnZV
c9o5SOxbc6YEtAqknNyoojCeqw9gZf9my8POcV2xpEvGl/+eSyXPmz0olTtzm84C
0fspOgsQO8s+o55YLWsficP3j/AtRFxjiS6ZQJG8NWDlrYBtJSGJlZhEPNP9nmmi
QKOjxEHqvrHirJL0zvxlM6qS5B4o6DKZlRDgmelt/laSUzCL7BtNyqZdfaZNOJ3M
OJKCM+NGyzoCzmuFWmLVVMw3nJ4Q1q9YIwB20kncVs6zxIT0l5ORBaprxNgRJWZg
OCuP4XmVww+Ztfxcgdg/GFUY7a4OO/oVuBC1k44CSrcBem2QL65H/pvgYFj8eMx7
lw8mdSnNkNMsIyMMknI5p4kqaaimyBNg7IxN+xFxfGgUChDNwdGbE80I7Y70la1b
+ZNQdpbmEzA82Z7xtKUAWUhJzTand8ZGk3e6rko4DtX0TCgcgeOoUaB1oEMUHrGQ
H6KYBOe3NpsklU2KgkARlbVYFfenAM7osdAtTuXTYxT26UpUxJBb7gi72Zq20/nT
05CgtFM7TKyk8VFDHB/zI5WZphbtE2xjN4PVbrazUjl8/i4ppqNir/EoXZlRBalt
2Bprd3SuxGh1aerDweb2
=+aAx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 20 Jun 2012 07:38:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:57:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.